com.h3c.sdn.misc

## Enum SdnLog

- java.lang.Object
- - java.lang.Enum<SdnLog>
  - - com.h3c.sdn.misc.SdnLog

- All Implemented Interfaces:
    Serializable, Comparable<SdnLog>

      public enum SdnLog
      extends Enum<SdnLog>

  Server-side logging for SDN related code. All log names should be captured in this class.

  Sample usage:

       private static final Logger log = SdnLog.APP.getLogger();

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN` Admin logger.
    `APP` Application (component) logger.
    `APP_MANAGER` Application manager.
    `CORE_CONTROLLER` Controller subsystem logger.
    `DB` Persistence logger.
    `EVENT` Event dispatcher logger.
    `FLOWS` Flow service logger.
    `GENERAL` General logger.
    `GUI` GUI logger.
    `HA` Umbrella logger for all core HA services.
    `HA_MANAGER` HA Manager logger.
    `HA_TEAM` Teaming service logger.
    `HA_TEAM_CFG` Teaming config service logger.
    `LEARNING_SWITCH` Learning Switch logger.
    `LINK_DISCO` Link discovery service logger.
    `NET_DIAGNOSTICS` Path/network diagnostics logger.
    `NET_SERVICES` Umbrella logger for all core network services.
    `NODE_DISCO` Node discovery service logger.
    `PATH_DAEMON` Path daemon logger.
    `REGION_MANAGER` Region service logger.
    `ROLE_MANAGER` Role Service logger.
    `ROOT` SDN root logger.
    `RS` REST API logger.
    `TEAMED_CONTROLLER` Teaming Controller Service(TCS)
    `TOPO_VIEW` Topology viewer logger.
    `TOPOLOGY` Topology computation service logger.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.slf4j.Logger` | `getLogger()` Returns the logger associated with this enumeration constant.
    `String` | `getName()` Returns the Logger path name.
    `static SdnLog` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SdnLog[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROOT

          public static final SdnLog ROOT

      SDN root logger.

    - #### GENERAL

          public static final SdnLog GENERAL

      General logger.

    - #### ADMIN

          public static final SdnLog ADMIN

      Admin logger.

    - #### GUI

          public static final SdnLog GUI

      GUI logger.

    - #### RS

          public static final SdnLog RS

      REST API logger.

    - #### CORE_CONTROLLER

          public static final SdnLog CORE_CONTROLLER

      Controller subsystem logger.

    - #### EVENT

          public static final SdnLog EVENT

      Event dispatcher logger.

    - #### DB

          public static final SdnLog DB

      Persistence logger.

    - #### NET_SERVICES

          public static final SdnLog NET_SERVICES

      Umbrella logger for all core network services. Note that these are different from apps.

    - #### LINK_DISCO

          public static final SdnLog LINK_DISCO

      Link discovery service logger.

    - #### NODE_DISCO

          public static final SdnLog NODE_DISCO

      Node discovery service logger.

    - #### TOPOLOGY

          public static final SdnLog TOPOLOGY

      Topology computation service logger.

    - #### PATH_DAEMON

          public static final SdnLog PATH_DAEMON

      Path daemon logger.

    - #### LEARNING_SWITCH

          public static final SdnLog LEARNING_SWITCH

      Learning Switch logger.

    - #### FLOWS

          public static final SdnLog FLOWS

      Flow service logger.

    - #### NET_DIAGNOSTICS

          public static final SdnLog NET_DIAGNOSTICS

      Path/network diagnostics logger.

    - #### TOPO_VIEW

          public static final SdnLog TOPO_VIEW

      Topology viewer logger.

    - #### ROLE_MANAGER

          public static final SdnLog ROLE_MANAGER

      Role Service logger.

    - #### REGION_MANAGER

          public static final SdnLog REGION_MANAGER

      Region service logger.

    - #### HA

          public static final SdnLog HA

      Umbrella logger for all core HA services.

    - #### HA_MANAGER

          public static final SdnLog HA_MANAGER

      HA Manager logger.

    - #### HA_TEAM

          public static final SdnLog HA_TEAM

      Teaming service logger.

    - #### HA_TEAM_CFG

          public static final SdnLog HA_TEAM_CFG

      Teaming config service logger.

    - #### APP_MANAGER

          public static final SdnLog APP_MANAGER

      Application manager.

    - #### TEAMED_CONTROLLER

          public static final SdnLog TEAMED_CONTROLLER

      Teaming Controller Service(TCS)

    - #### APP

          public static final SdnLog APP

      Application (component) logger.

  - ### Method Detail

    - #### values

          public static SdnLog[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SdnLog c : SdnLog.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SdnLog valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLogger

          public org.slf4j.Logger getLogger()

      Returns the logger associated with this enumeration constant.
      Returns:
        logger

    - #### getName

          public String getName()

      Returns the Logger path name.

      Do not use this for creating Loggers; use `getLogger()` instead.

      Returns:
        the logger path name

Copyright © 2014. All Rights Reserved.